import http from '@/request/index.js';
export const state = {
	houseData: [], //库房数据
	houseSelectData: {
		houseName: "",
		houseId: ""
	},
	userData: {}
};
export const mutations = {
	setHouseData(state, data) {
		state.houseData = data
	},
	setHouseName(state, data) {
		state.houseSelectData = data
	},
	setUserData(state, data) {
		state.userData = data
	},
}
export const actions = {
	getHouseData({
		commit,
		rootState
	}, data) {
		return new Promise((resolve, reject) => {
			http('home.getRoomData', data, '加载中').then(res => {
				if (res.success == true) {
					res.data.length > 0 && res.data.forEach((item) => {
						item['text'] = item.stroomName;
						item['value'] = item.id;
					})
					commit('setHouseName', {
						houseName: res.data[0].stroomName,
						houseId: res.data[0].id
					});
					commit('setHouseData', res.data);
				} else {
					commit('setHouseData', []);
				}
			}).catch(e => {
				reject(e)
			})
		})
	},
	getUserData({
		commit,
		rootState
	}, data) {
		return new Promise((resolve, reject) => {
			http('home.getUserData', data, '加载中').then(res => {
				if (res.success == true) {
					commit('setUserData', res.data.userContext);
				}
			}).catch(e => {
				reject(e)
			})
		})
	}
}